> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rumorz.io/llms.txt
> Use this file to discover all available pages before exploring further.

# search_entities

> Search for entities in the Rumorz Graph by name and/or symbol.



## OpenAPI

````yaml api-reference/openapi.yaml post /graph/search_entities
openapi: 3.0.0
info:
  title: Rumorz API
  version: v0
  description: >-
    This is the Rumorz API for accessing Financial markets AI intelligence
    through the Graph and Agent endpoints.
servers:
  - url: https://rumorz.azurewebsites.net/v0
security:
  - ApiKeyAuth: []
paths:
  /graph/search_entities:
    post:
      tags:
        - Graph
      summary: search_entities
      description: Search for entities in the Rumorz Graph by name and/or symbol.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name_search:
                  type: string
                symbol_search:
                  type: string
                asset_class:
                  type: string
                  enum:
                    - crypto
                    - commodities
                entity_type:
                  type: string
                  enum:
                    - financial_asset
                    - company
                    - organization
                    - person
                    - place
                limit:
                  type: integer
            example:
              name_search: Bitcoin
              symbol_search: BTC
              asset_class: crypto
              entity_type: financial_asset
              limit: 1
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````